$(function() {
  var conditionId = 0;
  var compensationId = 0;
  $("#add_condition").click(function() {
    $("#error_condition").html("");
    if ($("#condition_name").val().length == 0) {
      $("#error_condition").html("応募資格名称を入力してください。");
      return false;
    }
    var isExists = false;
    $.each($(".span_condition"), function() {
      if ($.trim($(this).html()) == $("#condition_name").val()) {
        isExists = true;
        return false;
      }
    });
    if (isExists) {
      $("#error_condition").html("すでに登録されています。");
      return false;
    }
    $.ajax({
      type : "post",
      cache : false,
      url : "/back/condition/add/condition",
      dataType : "json",
      data : {
        "name" : $("#condition_name").val()
      }
    }).done(function(data) {
      $("#condition_name").val("");
      $.each(data, function(key, val) {
        $("#body_condition").append($("<tr>").append($("<td>").css("text-align", "center").html(key)).append($("<td>").css("padding-left", "1em").append($("<span>").attr("id", "span_condition_" + key).addClass("span_condition").html(val))).append($("<td>").append($("<button>").attr("type", "button").addClass("sexybutton sexysimple sexyicononly sexygreen sel_condition").val(key).append($("<span>").addClass("ok")))).append($("<td>").append($("<button>").attr("type", "button").addClass("sexybutton sexysimple sexyicononly sexyred del_condition").val(key).append($("<span>").addClass("delete")))));
      });
    });
  });
  $("#add_compensation").click(function() {
    $("#error_compensation").html("");
    if ($("#compensation_name").val().length == 0) {
      $("#error_compensation").html("待遇名称を入力してください。");
      return false;
    }
    var isExists = false;
    $.each($(".span_compensation"), function() {
      if ($.trim($(this).html()) == $("#compensation_name").val()) {
        isExists = true;
        return false;
      }
    });
    if (isExists) {
      $("#error_compensation").html("すでに登録されています。");
      return false;
    }
    $.ajax({
      type : "post",
      cache : false,
      url : "/back/condition/add/compensation",
      dataType : "json",
      data : {
        "name" : $("#compensation_name").val()
      }
    }).done(function(data) {
      $("#compensation_name").val("");
      $.each(data, function(key, val) {
        $("#body_compensation").append($("<tr>").append($("<td>").css("text-align", "center").html(key)).append($("<td>").css("padding-left", "1em").append($("<span>").attr("id", "span_compensation_" + key).addClass("span_compensation").html(val))).append($("<td>").append($("<button>").attr("type", "button").addClass("sexybutton sexysimple sexyicononly sexygreen sel_compensation").val(key).append($("<span>").addClass("ok")))).append($("<td>").append($("<button>").attr("type", "button").addClass("sexybutton sexysimple sexyicononly sexyred del_compensation").val(key).append($("<span>").addClass("delete")))));
      });
    });
  });
  $("#edit_condition").click(function() {
    $("#error_condition").html("");
    if ($("#condition_name").val().length == 0) {
      $("#error_condition").html("応募資格名称を入力してください。");
      return false;
    }
    var isExists = false;
    $.each($(".span_condition"), function() {
      if ($.trim($(this).html()) == $("#condition_name").val()) {
        isExists = true;
        return false;
      }
    });
    if (isExists) {
      $("#error_condition").html("すでに登録されています。");
      return false;
    }
    $.ajax({
      type : "post",
      cache : false,
      url : "/back/condition/edit/condition",
      dataType : "json",
      data : {
        "conditionId" : conditionId,
        "name" : $("#condition_name").val()
      }
    }).done(function(data) {
      $("#span_condition_" + conditionId).html($("#condition_name").val());
    });
  });
  $("#edit_compensation").click(function() {
    $("#error_compensation").html("");
    if ($("#compensation_name").val().length == 0) {
      $("#error_compensation").html("待遇名称を入力してください。");
      return false;
    }
    var isExists = false;
    $.each($(".span_compensation"), function() {
      if ($.trim($(this).html()) == $("#compensation_name").val()) {
        isExists = true;
        return false;
      }
    });
    if (isExists) {
      $("#error_compensation").html("すでに登録されています。");
      return false;
    }
    $.ajax({
      type : "post",
      cache : false,
      url : "/back/condition/edit/compensation",
      dataType : "json",
      data : {
        "compensationId" : compensationId,
        "name" : $("#compensation_name").val()
      }
    }).done(function(data) {
      $("#span_compensation_" + compensationId).html($("#compensation_name").val());
    });
  });
  $("#body_condition").on("click", ".sel_condition", function() {
    conditionId = $(this).val();
    $("#error_condition").html("");
    $("#condition_name").val($.trim($("#span_condition_" + conditionId).html()));
    $("#edit_condition").val(conditionId);
    $(".sel_condition").css("display", "");
    $(this).css("display", "none");
  });
  $("#body_compensation").on("click", ".sel_compensation", function() {
    compensationId = $(this).val();
    $("#error_compensation").html("");
    $("#compensation_name").val($.trim($("#span_compensation_" + compensationId).html()));
    $("#edit_compensation").val(compensationId);
    $(".sel_compensation").css("display", "");
    $(this).css("display", "none");
  });
  $("#body_condition").on("click", ".del_condition", function() {
    if (!confirm("削除しますか？")) {
      return false;
    }
    var obj = $(this);
    $.ajax({
      type : "post",
      cache : false,
      url : "/back/condition/del/condition",
      dataType : "json",
      data : {
        "conditionId" : $(this).val()
      }
    }).done(function(data) {
      obj.parent().parent().remove();
    });
  });
  $("#body_compensation").on("click", ".del_compensation", function() {
    if (!confirm("削除しますか？")) {
      return false;
    }
    var obj = $(this);
    $.ajax({
      type : "post",
      cache : false,
      url : "/back/condition/del/compensation",
      dataType : "json",
      data : {
        "compensationId" : $(this).val()
      }
    }).done(function(data) {
      obj.parent().parent().remove();
    });
  });
});
